curl --request POST \
--url https://api.pocketflows.com/businesses/{id}/registration_information \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"business_name": "<string>",
"business_type": "<string>",
"business_industry": "<string>",
"business_registration_identifier": "<string>",
"business_registration_number": "<string>",
"business_identity": "<string>",
"business_regime_of_operation": "<string>",
"company_type": "<string>",
"website_url": "<string>",
"social_media_profiles_urls": [
"<string>"
],
"street_address": "<string>",
"street_address_line_2": "<string>",
"city": "<string>",
"region": "<string>",
"postal_code": "<string>",
"iso_country_code": "<string>",
"contact": {
"first_name": "<string>",
"last_name": "<string>",
"title": "<string>",
"job_position": "<string>",
"phone_number": "<string>",
"email_address": "<string>"
},
"supplemental_links": [
"<string>"
],
"privacy_policy_link": "<string>",
"preferred_phone_number_prefixes": [
"<string>"
]
}
'import requests
url = "https://api.pocketflows.com/businesses/{id}/registration_information"
payload = {
"business_name": "<string>",
"business_type": "<string>",
"business_industry": "<string>",
"business_registration_identifier": "<string>",
"business_registration_number": "<string>",
"business_identity": "<string>",
"business_regime_of_operation": "<string>",
"company_type": "<string>",
"website_url": "<string>",
"social_media_profiles_urls": ["<string>"],
"street_address": "<string>",
"street_address_line_2": "<string>",
"city": "<string>",
"region": "<string>",
"postal_code": "<string>",
"iso_country_code": "<string>",
"contact": {
"first_name": "<string>",
"last_name": "<string>",
"title": "<string>",
"job_position": "<string>",
"phone_number": "<string>",
"email_address": "<string>"
},
"supplemental_links": ["<string>"],
"privacy_policy_link": "<string>",
"preferred_phone_number_prefixes": ["<string>"]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_name: '<string>',
business_type: '<string>',
business_industry: '<string>',
business_registration_identifier: '<string>',
business_registration_number: '<string>',
business_identity: '<string>',
business_regime_of_operation: '<string>',
company_type: '<string>',
website_url: '<string>',
social_media_profiles_urls: ['<string>'],
street_address: '<string>',
street_address_line_2: '<string>',
city: '<string>',
region: '<string>',
postal_code: '<string>',
iso_country_code: '<string>',
contact: {
first_name: '<string>',
last_name: '<string>',
title: '<string>',
job_position: '<string>',
phone_number: '<string>',
email_address: '<string>'
},
supplemental_links: ['<string>'],
privacy_policy_link: '<string>',
preferred_phone_number_prefixes: ['<string>']
})
};
fetch('https://api.pocketflows.com/businesses/{id}/registration_information', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"business_name": "<string>",
"business_type": "<string>",
"business_industry": "<string>",
"business_registration_identifier": "<string>",
"business_registration_number": "<string>",
"business_identity": "<string>",
"business_regime_of_operation": "<string>",
"company_type": "<string>",
"website_url": "<string>",
"social_media_profiles_urls": [
"<string>"
],
"street_address": "<string>",
"street_address_line_2": "<string>",
"city": "<string>",
"region": "<string>",
"postal_code": "<string>",
"iso_country_code": "<string>",
"contact": {
"first_name": "<string>",
"last_name": "<string>",
"title": "<string>",
"job_position": "<string>",
"phone_number": "<string>",
"email_address": "<string>"
},
"supplemental_links": [
"<string>"
],
"privacy_policy_link": "<string>",
"preferred_phone_number_prefixes": [
"<string>"
]
}Create or update business registration information
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the business
Body
Business name
Business type
Business industry
Business registration identifier
Business registration number
Business identity
Business regime of operation
Company type
Website URL
Social media profile URLs
Street address
Street address line 2
City
Region/state
Postal code
ISO country code
Contact person information
Show child attributes
Show child attributes
Supplemental links
Privacy policy URL
Preferred 3-digit area code prefixes for phone number provisioning
Response
The created or updated business registration information
The ID of the business registration information
The business's legal name
Business type
Business industry
Business registration identifier
Business registration number
Business identity
Business regime of operation
Company type
Website URL
Social media profile URLs
Street address
Street address line 2
City
Region/state
Postal code
ISO country code
Contact person information
Show child attributes
Show child attributes
Supplemental links
Privacy policy URL
Preferred phone number prefixes